%define api_version 2
%define lib_major 2
%define gir_major	2.0
%define lib_name %mklibname rsvg %{api_version} %{lib_major}
%define libnamedev %mklibname -d rsvg %{api_version}

%define build_mozilla 0

Name:		librsvg
Summary:	Raph's SVG library
Summary(de):	Raph´s SVG Bibliothek
Version:	2.58.0
Release: 	%mkrel 1
License: 	LGPLv2+ and GPLv2+
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
URL: 		http://librsvg.sourceforge.net/
BuildRequires: gtk-doc
BuildRequires: docbook-dtd31-sgml
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64croco0.6_3-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64xml2-devel
BuildRequires: libpthread-stubs
BuildRequires: vala-tools
BuildRequires: rust
BuildRequires: python3-typogrify
BuildRequires: python3-toml
BuildRequires: python3-markdown
BuildRequires: python3-smartypants
Obsoletes:	librsvg-gtk3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A library that uses libart and pango to render svg files.

#german
%description -l de
Die Bibliothek mit libart und pango zum Rendern von SVG Dateien.

#-----------------------------------------------------------

%package -n %{lib_name}
Summary:	Raph's SVG library
Summary(de):	Raph´s SVG Bibliothek
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}

%description -n %{lib_name}
A library that uses libart and pango to render svg files.

#german
%description -n %{lib_name} -l de
Die Bibliothek mit libart und pango zum Rendern von SVG Dateien.

#-----------------------------------------------------------

%package -n %{libnamedev}
Summary:	Libraries and include files for developing with librsvg
Summary(de):	Bibliotheken und Include Dateien zur DEntwicklung mit librsvg
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d rsvg 2 2

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

#german
%description -n %{libnamedev} -l de
Entwickler Dateien zum erstellen von Anwendungen basierend auf librsvg.

#-----------------------------------------------------------
%if %build_mozilla
%package mozilla
Summary:        Mozilla plugin for displaying SVG files
Summary(de):	Mozilla Erweiterung für das Anzeige von SVG-Dateien
Group:          System/Libraries
BuildRequires:	xulrunner-devel

%description mozilla
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

#german
%description mozilla -l de
%{summary}.
%endif

#-----------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-introspection=yes \
	--disable-static \
	--enable-vala \
    --disable-gtk-doc

%make

%install
rm -rf %buildroot
%makeinstall_std

%if %build_mozilla
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{la,a} \
%endif

find %{buildroot} -name "*.la" -delete
rm -fr %{buildroot}%{_docdir}/librsvg


%clean
rm -rf %buildroot

#-----------------------------------------------------------


%files
%{_bindir}/*
%{_datadir}/thumbnailers/librsvg.thumbnailer
%{_datadir}/man/man1/rsvg-convert.1.bz2

%files -n %{lib_name}
%{_libdir}/librsvg-%{api_version}.so.%{lib_major}*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so
%{_libdir}/girepository-1.0/Rsvg-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/librsvg-2.0
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%{_datadir}/vala/vapi/librsvg-2.0.vapi

%if %build_mozilla
%files mozilla
%{_libdir}/mozilla/plugins/*.so
%endif

%post -n %{lib_name}
%_bindir/gdk-pixbuf-query-loaders --update-cache
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%posttrans
/sbin/ldconfig


%changelog
* Fri Mar 22 2024 tex - 2.58.0-1pclos2024
- new version

* Sun Mar 17 2024 tex - 2.57.3-1pclos2024
- new version

* Mon Mar 11 2024 tex - 2.57.2-1pclos2024
- new version

* Fri Dec 15 2023 tex - 2.57.1-1pclos2023
- new version

* Thu Sep 14 2023 tex - 2.57.0-1pclos2023
- new version

* Sun Jul 02 2023 tex - 2.56.2-1pclos2023
- new version
